Package org.jbpm.services.task.commands

## Class TaskCommandExecutorImpl

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommandExecutorImpl

- All Implemented Interfaces:
    `org.drools.core.runtime.InternalLocalRunner`, `org.kie.api.runtime.CommandExecutor`, `org.kie.api.runtime.ExecutableRunner<org.kie.api.runtime.RequestContext>`

      public class TaskCommandExecutorImpl
      extends Object
      implements org.drools.core.runtime.InternalLocalRunner

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.drools.core.runtime.InternalLocalRunner

      `org.drools.core.runtime.InternalLocalRunner.SingleBatchExecutable, org.drools.core.runtime.InternalLocalRunner.SingleCommandExecutable`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskCommandExecutorImpl​(org.kie.api.runtime.Environment environment, TaskEventSupport taskEventSupport)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addInterceptor​(org.drools.core.runtime.ChainableRunner interceptor)` |
    `protected void` | `addUserIdToContext​(TaskCommand<?> command, org.kie.api.runtime.RequestContext context)` |
    `org.kie.api.runtime.RequestContext` | `createContext()` |
    `<T> T` | `execute​(org.kie.api.command.Command<T> command)` |
    `org.kie.api.runtime.RequestContext` | `execute​(org.kie.api.runtime.Executable executable, org.kie.api.runtime.RequestContext ctx)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.runtime.InternalLocalRunner

      `execute, execute`

- - ### Constructor Detail

    - #### TaskCommandExecutorImpl

          public TaskCommandExecutorImpl​(org.kie.api.runtime.Environment environment,
                                         TaskEventSupport taskEventSupport)

  - ### Method Detail

    - #### execute

          public org.kie.api.runtime.RequestContext execute​(org.kie.api.runtime.Executable executable,
                                                            org.kie.api.runtime.RequestContext ctx)

      Specified by:
        `execute` in interface `org.kie.api.runtime.ExecutableRunner<org.kie.api.runtime.RequestContext>`

    - #### execute

          public <T> T execute​(org.kie.api.command.Command<T> command)

      Specified by:
        `execute` in interface `org.kie.api.runtime.CommandExecutor`
      Specified by:
        `execute` in interface `org.drools.core.runtime.InternalLocalRunner`

    - #### addInterceptor

          public void addInterceptor​(org.drools.core.runtime.ChainableRunner interceptor)

    - #### createContext

          public org.kie.api.runtime.RequestContext createContext()

      Specified by:
        `createContext` in interface `org.kie.api.runtime.ExecutableRunner<org.kie.api.runtime.RequestContext>`

    - #### addUserIdToContext

          protected void addUserIdToContext​(TaskCommand<?> command,
                                            org.kie.api.runtime.RequestContext context)